Bug 834836 - [abrt] qt-creator-2.3.1-1.fc16: __GI___libc_malloc: Process /usr/bin/qtcreator was killed by signal 11 (SIGSEGV)
[abrt] qt-creator-2.3.1-1.fc16: __GI___libc_malloc: Process /usr/bin/qtcreato...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:052a86701ee11acbd9a66101355...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 02:39 EDT by Flos Lonicerae
Modified: 2013-02-13 09:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:52:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (21.39 KB, text/plain)
2012-06-24 02:39 EDT, Flos Lonicerae
no flags Details
File: build_ids (8.09 KB, text/plain)
2012-06-24 02:39 EDT, Flos Lonicerae
no flags Details
File: maps (87.99 KB, text/plain)
2012-06-24 02:39 EDT, Flos Lonicerae
no flags Details
File: backtrace (106.15 KB, text/plain)
2012-06-24 02:39 EDT, Flos Lonicerae
no flags Details

  None (edit)
Description Flos Lonicerae 2012-06-24 02:39:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        qtcreator gnome-mplayer-1.0.6.pro
crash_function: __GI___libc_malloc
executable:     /usr/bin/qtcreator
kernel:         3.4.2-1.fc16.x86_64
pid:            25129
pwd:            /pub/RPM_build/SOURCES/gnome-mplayer-1.0.6
time:           2012年06月24日 星期日 12时43分12秒
uid:            1000
username:       shine

backtrace:      Text file, 108698 bytes
build_ids:      Text file, 8282 bytes
dso_list:       Text file, 21900 bytes
maps:           Text file, 90106 bytes

comment:
:1. open a project
:2. click a .c file for editing
:3. abrt-apple pops up

environ:
:INFINALITY_FT_AUTOHINT_HORIZONTAL_STEM_DARKEN_STRENGTH=10
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=fedora16.hello.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-UGbLaY/gpg:0:1
:TERM=xterm
:INFINALITY_FT_BOLD_EMBOLDEN_X_VALUE=0
:INFINALITY_FT_AUTOHINT_VERTICAL_STEM_DARKEN_STRENGTH=25
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=6ae489d9c4e3d86595713a3700000014-1340506958.950287-725516249
:HISTSIZE=1000
:LD_PRELOAD=/usr/lib64/libXft-infinality/libXft.so.2:/usr/lib64/freetype-infinality/libfreetype.so.6:/usr/lib64/libXft-infinality/libXft.so.2:/usr/lib64/freetype-infinality/libfreetype.so.6:
:WINDOWID=67108868
:GNOME_KEYRING_CONTROL=/tmp/keyring-UGbLaY
:INFINALITY_FT_CONTRAST=0
:IMSETTINGS_MODULE=IBus
:INFINALITY_FT_GRAYSCALE_FILTER_STRENGTH=0
:USER=shine
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/keyring-UGbLaY/ssh
:INFINALITY_FT_FRINGE_FILTER_STRENGTH=0
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1482,unix/unix:/tmp/.ICE-unix/1482
:INFINALITY_FT_USE_VARIOUS_TWEAKS=true
:INFINALITY_FT_BRIGHTNESS=0
:'INFINALITY_FT_GAMMA_CORRECTION=0 100'
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/shine
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/shine/.local/bin:/home/shine/bin
:QT_IM_MODULE=xim
:PWD=/pub/rpmbuild/SOURCES/gnome-mplayer-1.0.6
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=1478
:LANG=zh_CN.utf8
:KDE_IS_PRELINKED=1
:'INFINALITY_FT_FILTER_PARAMS=11 22 38 22 11'
:INFINALITY_FT_USE_KNOWN_SETTINGS_ON_SELECTED_FONTS=true
:GDM_LANG=zh_CN.utf8
:INFINALITY_FT_STEM_SNAPPING_SLIDING_SCALE=40
:KDEDIRS=/usr
:INFINALITY_FT_WINDOWS_STYLE_SHARPENING_STRENGTH=10
:INFINALITY_FT_CHROMEOS_STYLE_SHARPENING_STRENGTH=0
:INFINALITY_FT_STEM_ALIGNMENT_STRENGTH=25
:INFINALITY_FT_AUTOHINT_SNAP_STEM_HEIGHT=100
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/shine
:XDG_SEAT=seat0
:INFINALITY_FT_BOLD_EMBOLDEN_Y_VALUE=0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:INFINALITY_FT_GLOBAL_EMBOLDEN_Y_VALUE=0
:CUR_WIDTH=94
:LOGNAME=shine
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-KgXIOFYDvV,guid=45abeffac0c11e0a25cf652300000030
:INFINALITY_FT_STEM_FITTING_STRENGTH=25
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:INFINALITY_FT_AUTOHINT_INCREASE_GLYPH_HEIGHTS=true
:WINDOWPATH=1
:INFINALITY_FT_GLOBAL_EMBOLDEN_X_VALUE=0
:XDG_RUNTIME_DIR=/run/user/shine
:DISPLAY=:0.0
:XAUTHORITY=/var/run/gdm/auth-for-shine-kJqbz5/database
:COLORTERM=gnome-terminal
:_=/usr/bin/qtcreator
:OLDPWD=/pub/rpmbuild/SOURCES

var_log_messages:
:Jun 24 12:43:12 fedora16 kernel: [ 6076.250751] qtcreator[25184]: segfault at 27b ip 000000333007e102 sp 00007f887b5bfb70 error 4 in libc-2.14.90.so[3330000000+1ad000]
:Jun 24 12:43:15 fedora16 abrt[25185]: Saved core dump of pid 25129 (/usr/bin/qtcreator) to /var/spool/abrt/ccpp-2012-06-24-12:43:12-25129 (231673856 bytes)
Comment 1 Flos Lonicerae 2012-06-24 02:39:25 EDT
Created attachment 593971 [details]
File: dso_list
Comment 2 Flos Lonicerae 2012-06-24 02:39:28 EDT
Created attachment 593972 [details]
File: build_ids
Comment 3 Flos Lonicerae 2012-06-24 02:39:32 EDT
Created attachment 593973 [details]
File: maps
Comment 4 Flos Lonicerae 2012-06-24 02:39:36 EDT
Created attachment 593974 [details]
File: backtrace
Comment 5 Fedora End Of Life 2013-01-16 08:56:36 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Fedora End Of Life 2013-02-13 09:53:01 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.